Subject: bug#30271: 26.0.91; shell mode completion sometimes fails to complete

From: Stefan Kangas <[email-masked]>
Date: Mon, 26 Oct 2020 19:21:03 -0700

close 30271 28.1
thanks

Mike Kupfer <[email-masked]> writes:

> Mike Kupfer wrote:
>
>> I suspect that the completion code is trying to be clever, figuring that
>> directories are not compressable, so "gzip Desktop" would not make
>> sense.
>
> I've verified that the completion code is going through
> #'pcomplete/gzip.  From inspection, I see that #'pcmpl-gnu-zipped-files
> only considers regular files, so directories get filtered out.
>
>> But this just gets in the way if what I want to compress is a
>> file in Desktop.

This should now be fixed on master.  The fix will be in Emacs 28.1.